Introduced the GET /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/fields endpoint, which lets you fetch the fields of a task substep.
- Added
settings_field_idto the GET /tasks/{id}/brief response body. - Updated the GET v3/assets endpoint to clarify the query param fields.
- Added
reference_idto POST /work-requests/{id}/tasks.
Updated the minimum file_size value for /v3/multipart-uploads to 1 byte.
Introduced three endpoints to support multipart upload (uploading single files in multiple parts):
- POST /v3/multipart-uploads – Create pre-signed URLs for multipart upload of large files.
- GET /v3/multipart-uploads/{id}/status – Retrieve the current status of a multipart upload.
- POST /v3/multipart-uploads/{id}/complete – Initiate completion of a multipart upload after all parts have been uploaded.
Introduced the POST campaigns/{id}/fields end point, which lets you add a field to a campaign.
- Added a new
event_modifiedwebhook, which alerts you when an event was modified. See Event. - Updated webhook page titles to reduce confusion:
- Event delivery is now Webhook event delivery.
- Campaign events is now Campaign.
- External work management events is now External work management.
- Library events is now Library.
- Publish events is now Publish.
- Task events is now Task.
- Work request events is now Work request.
- Added the
searchquery param to theGET v3/templatesendpoint to filter templates by their title. - Introduced the
PATCH /events/{id}endpoint, which lets you update an event.
- Updated the
POST v3/tasksendpoint to clarify the behavior of thestart_atanddue_atfields in the request body. - Updated the
POST v3/work-requests/:id/tasksendpoint to clarify the behavior of thestart_atanddue_atfields in the request body.
Introduced the PUT /events/{id}/fields endpoint, which lets you replace existing fields of an event.
Introduced the POST /events endpoint, which lets you create an event.
